GET /templates/{templateID}/builds/{buildID}/logs
Template build logs
Get template build logs
Parameters
templateID·string· path · requiredbuildID·string· path · requiredpageCursor·string· query · optionalOpaque continuation cursor returned as nextCursor by the previous page
Maximum length:
512cursor·integer· query · optionalStarting timestamp of the logs that should be returned in milliseconds
Format:
int64Minimum:
0limit·integer· query · optionalMaximum number of logs that should be returned
Format:
int32Default:
100Minimum:
0Maximum:
100direction·LogsDirection· query · optionalDirection of the logs that should be returned
Allowed values for
LogsDirection:forward|backwardlevel·LogLevel· query · optionalState of the sandbox
Allowed values for
LogLevel:debug|info|warn|errorsource·LogsSource· query · optionalSource of the logs that should be returned from
Allowed values for
LogsSource:temporary|persistent
Responses
200
Successfully returned the template build logs
Content-Type: application/json
Schema: TemplateBuildLogsResponse
logs·array<BuildLogEntry>· requiredBuild logs structured
Default:
[]logs.id·string· optionalStable identifier used to reconcile overlapping live log pages
logs.timestamp·string· requiredTimestamp of the log entry
Format:
date-timelogs.message·string· requiredLog message content
logs.level·LogLevel· requiredState of the sandbox
Allowed values for
LogLevel:debug|info|warn|errorlogs.step·string· optionalStep in the build process related to the log entry
nextCursor·string· optionalOpaque continuation cursor for the next page
source·LogsSource· optionalActual source used to serve this page
Allowed values for
LogsSource:temporary|persistent
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
404
Not found
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError